diff -ruN vdr-1.5.0/CONTRIBUTORS vdr-1.5.1/CONTRIBUTORS
--- vdr-1.5.0/CONTRIBUTORS	2007-01-04 14:38:40.000000000 +0100
+++ vdr-1.5.1/CONTRIBUTORS	2007-02-25 14:57:19.000000000 +0100
@@ -360,6 +360,7 @@
 Thilo Wunderlich <wunderlich@speedway.org>
  for his help in keeping 'channels.conf' up to date
  for reporting a problem with accessing the epg.data file before it is fully written
+ for updating satellite names in 'sources.conf'
 
 Stephan Schreiber <stephan@sschreiber.de>
  for his support in keeping the Premiere World channels up to date in 'channels.conf.cable'
@@ -583,6 +584,7 @@
  for suggesting to reduce the logging for the SVDRP GRAB command
  for reporting that the shutdown script is given a reboot time in the past if there
  is a recording going on or about to start, and the user insists in shutting down now
+ for suggesting to make the channel entry timeout configurable
 
 Jeremy Hall <jhall@UU.NET>
  for fixing an incomplete initialization of the filter parameters in eit.c
@@ -1008,13 +1010,14 @@
  cPluginManager::Active() in menu.c to "restart anyway?"
  for adding --remove-destination to the 'cp' command for binaries in the Makefiles of
  the plugins
+ for increasing the maximum number of DVB devices to 8
 
 Ralf Klueber <ralf.klueber@vodafone.com>
  for reporting a bug in cutting a recording if there is only a single editing mark
  for reporting a bug in handling a channels.conf that contains a ":@nnn" line as
  its last entry
 
-Hermann Gausterer <mrq1@gmx.net>
+Hermann Gausterer <vdr@mrq1.org>
  for suggesting to switch to the recording channel in case the current channel
  becomes unavailable
 
@@ -1114,6 +1117,9 @@
  for changing the behaviour when hitting the end of a recording in fast forward mode
  for suggesting to give the cRemote::CallPlugin() function a boolean return value
  for fixing a possible crash in remux.c on 64-bit machines
+ for making cCommand::Execute() use cPipe instead of popen() to avoid problems
+ with open file handles when starting background commands
+ for fixing handling error status in cDvbTuner::GetFrontendStatus()
 
 Richard Robson <richard_robson@beeb.net>
  for reporting freezing replay if a timer starts while in Transfer Mode from the
@@ -1387,6 +1393,8 @@
  replay has been stopped
  for reporting a problem with displaying the replay mode symbol in case of "Multi
  speed mode"
+ for removing 'assert(0)' from cDvbSpuDecoder::setTime()
+ for adapting 'libsi' to DVB-S2
 
 Jürgen Schmitz <j.schmitz@web.de>
  for reporting a bug in displaying the current channel when switching via the SVDRP
@@ -1479,6 +1487,10 @@
  for some hints on how to improve handling cPluginManager::Active()
  for fixing a possible segfault if VDR gets terminated while a message is displayed
  for reporting an error in the INSTALL section on retrying shutdown later
+ for rewriting shutdown handling
+ for implementing cPlugin::WakeupTime() to allow plugins to request VDR to wake
+ up at a particular time
+ for making the HUP signal force a restart of VDR
 
 Sven Kreiensen <svenk@kammer.uni-hannover.de>
  for his help in keeping 'channels.conf.terr' up to date
@@ -1692,6 +1704,7 @@
 Martin Wache <M.Wache@gmx.net>
  for adding a sleep in cDvbPlayer::Action() in case there is no data to send to the
  device, which avoids a busy loop on very fast machines
+ for fixing a possible crash when loading an invalid XPM file
 
 Matthias Lenk <matthias.lenk@amd.com>
  for reporting an out-of-bounds memory access with audio language ids
@@ -1720,6 +1733,7 @@
  for reporting a bug in the initial setting of the time transponder setup parameter
  for suggesting to extend the version number reported with the '-V' option to also
  show the current APIVERSION
+ for fixing i18n characters for the Hungarian texts
 
 David Woodhouse <dwmw2@infradead.org>
  for his help in replacing the get/put_unaligned() macros from asm/unaligned.h with
@@ -1744,6 +1758,7 @@
  for suggesting to ignore k_Repeat when deciding whether the same key has been
  pressed in string input fields
  for fixing missing ',' in the Italian and Polish OSD texts
+ for pointing out that "Menu button closes" should actually be "Menu key closes"
 
 Patrick Rother <krd-vdr@gulu.net>
  for reporting a bug in defining timers that only differ in the day of week
@@ -2050,3 +2065,7 @@
 
 Peter Pinnau <vdr@unterbrecher.de>
  for reporting that 'uint32_t' requires uncluding stdint.h in font.h on some systems
+
+Petri Helin <phelin@googlemail.com>
+ for suggesting to avoid budget DVB cards with Common Interface when tuning to an
+ FTA channel
diff -ruN vdr-1.5.0/HISTORY vdr-1.5.1/HISTORY
--- vdr-1.5.0/HISTORY	2007-01-07 15:08:19.000000000 +0100
+++ vdr-1.5.1/HISTORY	2007-02-25 14:57:34.000000000 +0100
@@ -5081,3 +5081,56 @@
   without valid CA ids VDR can't decide which CAM slot to use. However, since VDR now
   automatically determines which CAM can decrypt which channel, setting fixed
   channel/device relations should no longer be necessary.
+  IF AN ENCRYPTED CHANNEL CAN'T BE DECRYPTED AND YOU HAVE A CA VALUE IN THE RANGE
+  0...F FOR THAT CHANNEL, SET IT TO 0 (FTA) AND TUNE TO THE CHANNEL AGAIN.
+
+2007-01-28: Version 1.4.5-1
+
+- Fixed i18n characters for the Hungarian texts (thanks to Thomas Günther).
+- Now using cPipe instead of popen() in cCommand::Execute() to avoid problems
+  with open file handles when starting background commands (thanks to Reinhard
+  Nissl).
+
+2007-02-24: Version 1.4.5-2
+
+- Removed 'assert(0)' from cDvbSpuDecoder::setTime() (thanks to Marco Schlüßler).
+- Fixed a possible crash when loading an invalid XPM file (thanks to Martin Wache).
+- Updated satellite names in 'sources.conf' (thanks to Thilo Wunderlich).
+- Fixed handling error status in cDvbTuner::GetFrontendStatus() (thanks to
+  Reinhard Nissl).
+
+2007-02-25: Version 1.5.1
+
+- Added cDevice::HasCi() so that devices with Common Interface can be avoided
+  when tuning to an FTA channel, thus preserving the CAM resources even on budget
+  DVB cards (suggested by Petri Helin).
+- Fixed i18n characters for the Hungarian texts (thanks to Thomas Günther).
+- Now using cPipe instead of popen() in cCommand::Execute() to avoid problems
+  with open file handles when starting background commands (thanks to Reinhard
+  Nissl).
+- Removed 'assert(0)' from cDvbSpuDecoder::setTime() (thanks to Marco Schlüßler).
+- Fixed a possible crash when loading an invalid XPM file (thanks to Martin Wache).
+- Updated satellite names in 'sources.conf' (thanks to Thilo Wunderlich).
+- Adapted 'libsi' to DVB-S2 (thanks to Marco Schlüßler).
+- Fixed handling error status in cDvbTuner::GetFrontendStatus() (thanks to
+  Reinhard Nissl).
+- Shutdown handling has been rewritten (thanks to Udo Richter).
+- Plugins can now implement the new function WakeupTime() to request VDR to wake
+  up at a particular time (thanks to Udo Richter).
+- The HUP signal now forces a restart of VDR (thanks to Udo Richter).
+- cThread::EmergencyExit() has been replaced by ShutdownHandler.RequestEmergencyExit().
+- Several references to "button" in a remote control context have been changed
+  to "key" (based on a report from Marko Mäkelä regarding the "Menu button closes"
+  text). The "MenuButtonCloses" parameter in 'setup.conf' has therefore been
+  renamed to "MenuKeyCloses", accordingly. This will result in an "unknown config
+  parameter: MenuButtonCloses" error message in the log file, so you may want to
+  remove that entry from your 'setup.conf' file.
+- Simplified the error handling in cDvbTuner::GetFrontendStatus() (based on a
+  discussion with Reinhard Nissl).
+- Updated the Finnish OSD texts (thanks to Rolf Ahrenberg).
+- Increased the maximum number of DVB devices to 8 (thanks to Rolf Ahrenberg).
+- The new Setup parameter "Channel entry timeout" can be used to customize the time
+  since the last keypress until a numerically entered channel number is considered
+  complete, and the channel is switched (suggested by Helmut Auer). Setting this
+  parameter to 0 turns off the automatic channel switching, and the user will
+  have to confirm the entry by pressing the "Ok" key.
diff -ruN vdr-1.5.0/INSTALL vdr-1.5.1/INSTALL
--- vdr-1.5.0/INSTALL	2007-01-04 14:22:01.000000000 +0100
+++ vdr-1.5.1/INSTALL	2007-02-24 16:22:48.000000000 +0100
@@ -160,30 +160,33 @@
 (see the Setup parameters in MANUAL).
 
 The command given in the '-s' option will be called with five parameters.
-The first one is the time (in UTC) of the next timer event (as a time_t
-type number), and the second one is the number of seconds from the current
-time until the next timer event. Your program can choose which one to use
-for programming some sort of hardware device that makes sure the computer
-will be restarted in time before the next timer event. Your program must
-also initiate the actual shutdown procedure of the computer. After this
-your program should return to VDR. VDR will not automatically exit after
-calling the shutdown program, but will rather continue normally until it
-receives a SIGTERM when the computer is actually shut down. So in case
-the shutdown fails, or the shutdown program for some reason decides not to
-perform a shutdown, VDR will stay up and running and will call the shutdown
-program again after another five minutes.
-
-If there are currently no timers active, both parameters will be '0'.
-In that case the program shall not set the hardware for automatic restart
-and only perform the system shutdown. A program that uses the second parameter
-to set the hardware for restart must therefore also check whether the first
-parameter is '0'.
-
-The third parameter contains the number of the channel that will be recorded
-by the next timer (or 0 if no timer is present), and the fourth parameter
-contains the file name of the recording as defined in the timer (or an empty
-string if no timer is present). These can be used by the shutdown program to
-show that information on some display interface etc.
+
+The first one is the time (in UTC) of the next timer event or plugin wakeup
+time (as a time_t type number), and the second one is the number of
+seconds from the current time until the next timer event. Your program can
+choose which one to use for programming some sort of hardware device that
+makes sure the computer will be restarted in time before the next timer
+event. Your program must also initiate the actual shutdown procedure of the
+computer. VDR will not automatically exit after calling the shutdown
+program, but will rather continue normally until it receives a SIGTERM when
+the computer is actually shut down. So in case the shutdown fails, or the
+shutdown program for some reason decides not to perform a shutdown, VDR
+will stay up and running and will call the shutdown program again after a
+while. The command will be started in a separate background session, so it
+can continue to run even after VDR has terminated.
+
+If there are currently no timers active and there is no plugin wakeup
+time, both parameters will be '0'. In that case the program shall not set
+the hardware for automatic restart and only perform the system shutdown.
+A program that uses the second parameter to set the hardware for restart
+must therefore also check whether the first parameter is '0'.
+
+If the wakeup time is given by a timer, the third parameter will be the
+number of the channel that will be recorded, otherwise it will be 0. The
+fourth parameter contains the file name of the recording as defined in the
+timer, the name of the plugin that requested the wakeup time, or an empty
+string if no wakeup time is present. These can be used by the shutdown
+program to show that information on some display interface etc.
 
 The fifth parameter indicates the reason why the shutdown was requested.
 '0' means this is an automatic shutdown due to some timeout, while '1' means
diff -ruN vdr-1.5.0/MANUAL vdr-1.5.1/MANUAL
--- vdr-1.5.0/MANUAL	2006-11-18 15:50:35.000000000 +0100
+++ vdr-1.5.1/MANUAL	2007-02-25 15:14:06.000000000 +0100
@@ -112,7 +112,7 @@
   "Ok" here opens the "Edit timer" menu.
 
   Textual options, like channel names or recording file names, can be edited
-  by pressing the "Right" button (which puts brackets around the current
+  by pressing the "Right" key (which puts brackets around the current
   character as in "[R]TL"), selecting the desired character position with
   "Left" and "Right", and changing the character with the "Up" and "Down"
   keys. "Ok" then confirms the changes. The "Red" key toggles between
@@ -120,7 +120,7 @@
   insert and overwrite mode. The "Yellow" key deletes the current character
   (or the one to the right of the cursor in insert mode).
 
-  The "Red", "Green", "Yellow" and "Blue" buttons have special meanings
+  The "Red", "Green", "Yellow" and "Blue" keys have special meanings
   in various menus and are listed at the bottom of the on-screen-display.
 
   At any point in the menu system, pressing the "Menu" key again will
@@ -137,22 +137,22 @@
   displays detailed information about the selected programme. Pressing "Ok"
   again (or pressing "Back") gets you back into the "Schedule" menu.
 
-  From the "Schedule" menu, the "Green" button opens the "What's on now?"
+  From the "Schedule" menu, the "Green" key opens the "What's on now?"
   menu, which displays all programmes that are currently running on all
   channels that broadcast their programme information on the current
   transponder, or from channels that have been current lately (VDR stores
   all information it gathers in an internal list). The more channels you
   have been switching through lately, the longer this list will be.
-  The "Yellow" button opens the "What's on next?" menu, which lists all
+  The "Yellow" key opens the "What's on next?" menu, which lists all
   programmes that will start next on all channels.
 
-  Inside the "What's on now/next?" menus the "Green" button toggles between
-  the "Now" and "Next" display, and the "Yellow" button takes you to the
+  Inside the "What's on now/next?" menus the "Green" key toggles between
+  the "Now" and "Next" display, and the "Yellow" key takes you to the
   "Schedule" menu of the current channel in the list.
 
-  The "Red" button allows you to instantly program a timer to record the
-  selected programme. After pressing this button, the current event will
-  be marked with 'T', and the function of the "Red" button will change from
+  The "Red" key allows you to instantly program a timer to record the
+  selected programme. After pressing this key, the current event will
+  be marked with 'T', and the function of the "Red" key will change from
   "Record" to "Timer". Pressing "Red" on an event marked with 'T' will open
   the "Edit timer" menu for this timer, where you can make any modifications
   you may want to apply. Note that the Start and Stop time are offset by the
@@ -167,7 +167,7 @@
   directly into the "Edit timer" menu in order to allow the user to make further
   changes to timer parameters before the actual recording starts.
 
-  The "Blue" button can be pressed to switch to the channel with the selected
+  The "Blue" key can be pressed to switch to the channel with the selected
   programme.
 
   The following markers in these menus give additional information about the
@@ -192,14 +192,14 @@
 
   1. With no On Screen Menu displayed press the "Up" or "Down" key to switch
      to the next higher or lower channel.
-  2. Press the "Menu" button to bring up the On Screen Menu, select "Channels"
+  2. Press the "Menu" key to bring up the On Screen Menu, select "Channels"
      and browse through the list with the "Up" and "Down" key; to switch to the
      selected channel press "Ok".
   3. Directly type in the channel number with the numeric keys ('0'..'9');
      if no key is pressed for about one second, the digits collected so
      far will define the channel number.
   4. From the "Now", "Next" and "Event" menus (accessible through the "Schedule"
-     menu) by pressing the "Blue" button.
+     menu) by pressing the "Blue" key.
 
   Pressing the '0' key in normal viewing mode toggles between the current and
   the previous channel. A channel is considered "previous" if it has been
@@ -210,15 +210,15 @@
   'current/next' information will be displayed below this line. This display
   automatically goes away after about five seconds, or if any key is pressed.
   To bring up the channel display without switching channels you can press
-  the "Ok" button.
+  the "Ok" key.
 
 * Selecting audio tracks
 
   If the current channel or recording provides different audio tracks (for
-  different languages or Dolby Digital), the "Green" button in the "VDR" menu can
+  different languages or Dolby Digital), the "Green" key in the "VDR" menu can
   be pressed to bring up the "Audio" menu. Within this menu, the "Up" and "Down"
   keys can be used to switch between the audio tracks. If your remote control has
-  a dedicated "Audio" button, the first press of that button brings up the "Audio"
+  a dedicated "Audio" key, the first press of that key brings up the "Audio"
   menu, and every further press switches to the next available audio track.
 
   The "Left" and "Right" keys can be used to switch between "mono left", "stereo"
@@ -242,7 +242,7 @@
   If the 'channels.conf' file contains "group separators" you can switch
   through these groups by pressing the "Left" and "Right" key while no
   menu is being displayed. The channel display will show the name of the
-  group, and if you press the "Ok" button while the group name is being
+  group, and if you press the "Ok" key while the group name is being
   displayed, you will switch to the first channel of that group.
 
   Channel groups can be whatever you decide them to be. You can either
@@ -251,11 +251,11 @@
 
 * Instant Recording
 
-  You can start recording the current channel by pressing the "Red" button
+  You can start recording the current channel by pressing the "Red" key
   in the "VDR" menu. This will create a timer event named "@channelname" that
   starts at the current time and by default records for 3 hours.
   If you want to modify the recording time you need to edit the timer.
-  Stop instant recording by pressing the "Menu" button and selecting
+  Stop instant recording by pressing the "Menu" key and selecting
   "Stop Recording", or by disabling the timer. The default priority, lifetime
   and recording time can be defined in the "Setup/Recording" menu.
 
@@ -267,7 +267,7 @@
   "Record") and immediately begin replaying that recording. Replay will be
   put into "pause" mode, so you can attend to whatever it was that disturbed
   your live viewing session. Once you're back, simply press the "Up" or "Play"
-  button and you'll be watching the current channel in time shift mode, right
+  key and you'll be watching the current channel in time shift mode, right
   from the point where you left off. The instant recording VDR has started
   will use the parameters for "Pause priority" and "Pause lifetime" as defined
   in the "Setup/Recording" menu. Recording time will be the same as for
@@ -277,12 +277,12 @@
 * Replaying a Recording
 
   All recordings are listed in the "Recordings" menu. Browse through the
-  list with the "Up" and "Down" button and press "Ok" (or the "Red" button)
+  list with the "Up" and "Down" key and press "Ok" (or the "Red" key)
   to start playback. New recordings are marked with an '*'.
   If the Setup parameter RecordingDirs has been set and there are recordings
   from repeating timers organized in a subdirectory structure, only the
   directory is displayed and it can be opened by pressing "Ok" (or the "Red"
-  button). A directory entry displays the total number of recordings within
+  key). A directory entry displays the total number of recordings within
   that directory (and any possible subdirectory thereof) as well as the total
   number of new recordings (as opposed to a recording's entry, which displays
   the date and time of the recording).
@@ -295,15 +295,15 @@
   the order in which they were broadcast.
 
   Playback can be stopped via the "VDR" menu by selecting "Stop replaying",
-  or by pressing the "Blue" button outside the menu.
+  or by pressing the "Blue" key outside the menu.
   A previously stopped playback session can be resumed by pressing the "Blue"
-  button in the "VDR" menu.
+  key in the "VDR" menu.
 
 * Processing Recordings
 
   The configuration file 'reccmds.conf' can be used to define system commands
   that can be applied to the recording that is currently highlighted in the
-  "Recordings" menu. The "Red" button in the "Recordings" menu opens the "Recording
+  "Recordings" menu. The "Red" key in the "Recordings" menu opens the "Recording
   commands" menu if there are commands defined in the file 'reccmds.conf'. Pressing
   one of the keys '1'..'9' in the "Recordings" menu executes the corresponding
   command from 'reccmds.conf' (see also "Executing system commands" below).
@@ -322,20 +322,20 @@
     Right   Runs playback forward or backward at a higher speed; press
             again to resume normal speed. If in Pause mode, runs forward or
             backward at a slower speed; press again to return to pause mode.
-            Pressing and holding down the button performs the function until
-            the button is released again.
+            Pressing and holding down the key performs the function until
+            the key is released again.
             If "Multi Speed Mode" has been enabled in the "Setup" menu, the
-            function of these buttons changes in a way that gives you three
+            function of these keys changes in a way that gives you three
             fast and slow speeds, through which you can switch by pressing
-            the respective button several times.
+            the respective key several times.
   - Red     Jump to a specific location. Enter the time you want to jump to
             and then press "Left" or "Right" to jump relative to the current
             position, "Up" to jump to an absolute position, and "Down" to
             jump and pause at an absolute position.
   - Green
     Yellow  Skips about 60 seconds back or forward.
-            Pressing and holding down the button performs the function until
-            the button is released again.
+            Pressing and holding down the key performs the function until
+            the key is released again.
   - Ok      Brings up the replay progress display, which shows the date,
             time and title of the recording, a progress bar and the
             current and total time of the recording.
@@ -469,7 +469,7 @@
   First day: The date of the first day when this timer shall start recording
              (only available for repeating timers).
 
-  A timer can also be programmed by pressing the "Red" button on the "Schedule",
+  A timer can also be programmed by pressing the "Red" key on the "Schedule",
   "Now", "Next" or "Event" menus.
 
 * Parameters in the "Setup" menu
@@ -513,7 +513,7 @@
   Info on channel switch = yes
                          Turns the display of the current/next information on
                          or off when switching the channel. The information is
-                         always displayed when pressing the "Ok" button in
+                         always displayed when pressing the "Ok" key in
                          normal viewing mode.
 
   Timeout requested channel info = yes
@@ -535,10 +535,10 @@
                                (first) line of the list directly to the first (last)
                                one.
 
-  Menu button closes = no
-                         If set to "yes", pressing the "Menu" button while there is
+  Menu key closes = no
+                         If set to "yes", pressing the "Menu" key while there is
                          anything displayed on the OSD will close the OSD. If set
-                         to "no", the "Menu" button will open the main menu after
+                         to "no", the "Menu" key will open the main menu after
                          closing a temporary display, like, for instance, the channel
                          display.
 
@@ -607,7 +607,7 @@
                          different languages, the preferred languages are checked
                          in the given order to decide which one to take.
 
-  Scan                   The "Red" button in the "Setup/EPG" menu can be used to
+  Scan                   The "Red" key in the "Setup/EPG" menu can be used to
                          force an EPG scan on a single DVB card system. If pressed,
                          and the primary DVB device is currently not recording or
                          replaying, it will loop through the transponders once and
@@ -711,7 +711,7 @@
                          yes = use it (and create subdirectories)
 
   Use VPS = 0            Defines whether a timer that is created from an EPG entry
-                         (by pressing the "Record" (red) button in the "Schedules"
+                         (by pressing the "Record" (red) key in the "Schedules"
                          or "What's on now/next?" menu) will automatically use VPS
                          if the event it is created for has a VPS time.
 
@@ -723,7 +723,7 @@
 
   Mark instant recording = yes
                          Defines whether an "instant recording" (started by
-                         pressing the "Red" button in the "VDR" menu) will be
+                         pressing the "Red" key in the "VDR" menu) will be
                          marked with a '@' character to make it distinguishable
                          from timer recordings in the "Recordings" menu.
 
@@ -786,9 +786,18 @@
                          connection after which the connection is automatically
                          closed. Default is 300, a value of 0 means no timeout.
 
-  Zap Timeout = 3        The time (in seconds) until a channel counts as "previous"
+  Zap timeout = 3        The time (in seconds) until a channel counts as "previous"
                          for switching with '0'
 
+  Channel entry timeout = 1000
+                         The time (in milliseconds) after the last keypress until
+                         a numerically entered channel number is considered
+                         complete, and the channel is switched. Default is 1000,
+                         a value of 0 turns this off, so a numerically entered
+                         channel number then needs to be confirmed with the "Ok"
+                         key. Note that the total maximum is also limited by
+                         the "OSD/Channel info time" parameter.
+
   Initial channel = 0    The number of the channel that shall be tuned to when
                          VDR starts. Default is 0, which means that it will
                          tune to the channel that was on before VDR was stopped.
diff -ruN vdr-1.5.0/Makefile vdr-1.5.1/Makefile
--- vdr-1.5.0/Makefile	2006-11-11 14:55:32.000000000 +0100
+++ vdr-1.5.1/Makefile	2007-02-24 14:23:12.000000000 +0100
@@ -4,7 +4,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile 1.96 2006/11/11 13:55:32 kls Exp $
+# $Id: Makefile 1.97 2007/02/24 13:23:12 kls Exp $
 
 .DELETE_ON_ERROR:
 
@@ -35,7 +35,7 @@
 OBJS = audio.o channels.o ci.o config.o cutter.o device.o diseqc.o dvbdevice.o dvbci.o dvbosd.o\
        dvbplayer.o dvbspu.o eit.o eitscan.o epg.o filter.o font.o i18n.o interface.o keys.o\
        lirc.o menu.o menuitems.o nit.o osdbase.o osd.o pat.o player.o plugin.o rcu.o\
-       receiver.o recorder.o recording.o remote.o remux.o ringbuffer.o sdt.o sections.o\
+       receiver.o recorder.o recording.o remote.o remux.o ringbuffer.o sdt.o sections.o shutdown.o\
        skinclassic.o skins.o skinsttng.o sources.o spu.o status.o svdrp.o themes.o thread.o\
        timers.o tools.o transfer.o vdr.o videodir.o
 
